clear; close all;
load sterbewk.dat;
alter=sterbewk(:,1);
mann=sterbewk(:,2);
frau=sterbewk(:,3);
figure(1);
plot(alter(1:60),mann(1:60),'b');
hold on;
plot(alter(1:60),frau(1:60),'r');
pause
figure(2);
plot(alter(10:30),mann(10:30),'b');
hold on;
plot(alter(10:30),frau(10:30),'r');
pause
LM=zeros(100,1);
LM(1)=1000000;
for n=2:100,
   LM(n)=LM(n-1)*(1-mann(n-1));
end;
pause
MittLe20=sum(LM(21:100))/LM(20)+0.5
MittLe40=sum(LM(41:100))/LM(40)+0.5
MittLe60=sum(LM(61:100))/LM(60)+0.5
MittLe80=sum(LM(81:100))/LM(80)+0.5
pause
alter2 = [];
mann2 = [];
frau2 = [];
for n = 1:10:91,
   alter2 = [alter2 floor(mean(alter(n:n+9)))];
   mann2 = [mann2 round(1000*mean(mann(n:n+9)))];
   frau2 = [frau2 round(1000*mean(frau(n:n+9)))];
end;
Sterbe2 = [alter2' mann2' frau2']
!md C:\sterbewk
save 'C:\sterbewk\Sterbe2' Sterbe2 -ascii
pause
